# -*- rpm-spec -*-
# $Id: kernel-feat-acpi.spec,v 1.16 2004/04/27 06:41:22 vsu Exp $
#
%define  patch_name kernel-feat-acpi

Name: %patch_name
Version: 2004.04.01
Release: alt2

Summary: %patch_name kernel patch - ACPI (Advanced Configuration and Power Interface)
License: GPL
Group: Development/Other
Url: http://acpi.sourceforge.net/
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

# http://www.kernel.org/pub/linux/kernel/people/lenb/acpi/patches/release/2.4.25/acpi-20040326-2.4.25.diff.bz2
%source  0 00_acpi-20040326-2.4.25.diff

%source 10 10_acpi-dsdt-initrd-patch-v0.3-2.4.22+20030918.diff
%source 80 80_dmi-debug.patch
%source 81 81_acpi-cutoff-year-2000.patch
%source 90 90_acpi-blacklist.patch
%source 92 92_acpi-blacklist.patch

BuildArch: noarch
BuildPreReq: kernel-build-tools

%description
This is the latest ACPI (Advanced Configuration and Power Interface) core component
for Linux kernel.

%install

%install_patches

%files
%_usrsrc/*

%changelog
* Tue Apr 27 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.04.01-alt2
- Blacklist update:
  + 92_acpi-blacklist.patch: Supermicro P3TDL3/P3TDLE needs ACPI PCI IRQ
    routing disabled (pci=noacpi).

* Thu Apr 01 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.04.01-alt1
- Updated ACPI patch (01-Apr-2004, ACPICA 20040326).
- Updated 90_acpi-blacklist.patch for new ACPI.

* Sun Mar 21 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.03.21-alt1
- Updated ACPI patch (13-Mar-2004, ACPICA 20040311).

* Mon Feb 23 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.02.23-alt1
- Updated for kernel 2.4.25.
- Updated ACPI patch (15-Feb-2004, ACPICA 20040211).
- Removed patches:
  - 20_sysrq-poweroff.patch (upstream)
  - 91_acpi-cpufreq-compat.patch (obsolete)

* Sun Feb 01 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.02.01-alt1
- Updated ACPI patch (26-Jan-2004, ACPICA 20040116).
- Removed:
  - 01_acpi-smpboot-fix.patch (fixed upstream).

* Thu Dec 25 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.25-alt1
- Blacklisted Supermicro 370DL3/370DLE (PCI bus lost without pci=noacpi).

* Sun Dec 21 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.21-alt1
- Updated ACPI patch (18-Dec-2003, ACPICA 20031203).
- Added:
  + 01_acpi-smpboot-fix.patch: fix SMP boot broken by the ACPI change (must
    stop at BITS_PER_LONG, not MAX_APICS).

* Sun Dec 14 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.14-alt1
- Updated ACPI patch (11-Dec-2003, ACPICA 20031203).

* Fri Nov 21 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.21-alt1
- Updated ACPI patch (21-Nov-2003, file name unchanged).

* Wed Nov 19 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.19-alt1
- Updated ACPI patch (18-Nov-2003, file name unchanged).
- Added:
  + 91_acpi-cpufreq-compat.patch: workaround for patch conficts with
    kernel-feat-cpufreq

* Thu Nov 06 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.06-alt1
- Updated ACPI patch (28-Oct-2003, file name unchanged).
- Added 20_sysrq-poweroff.patch (fix poweroff via Alt-SysRq).
- Removed Configure.help patch from the DSDT override patch (causes conflicts
  with the latest ACPI patch).

* Sun Oct 19 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.10.19-alt1
- Added 80_dmi-debug.patch - turn on DMI info dump (needed for blacklisting).
- Added 81_acpi-cutoff-year-2000 - moved BIOS date cutoff for ACPI support from
  2001 to 2000.

* Tue Oct 14 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.10.14-alt1
- ACPI update 20031002.

* Sat Oct 04 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.10.04-alt1
- ACPI update 20030918.
- Adapted DSDT override patch for new ACPI.

* Sun Sep 21 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.09.21-alt1
- Renamed patches to fix apply ordering.
- Added ASUS CUPLE-VM BIOS revision 1003 to blacklist (causes lockups when
  using USB or Ethernet; revision 1004 seems to work).

* Thu Sep 18 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.09.18-alt1
- Updated for kernel 2.4.22.
- ACPI update 20030916.
- Added acpi-dsdt-initrd-patch-v0.3-2.4.22.diff - support for DSDT override
  from initrd.

* Mon Aug 25 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.19-alt5
- Adopted to XFS 1.3 Release

* Fri Jul 18 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.19-alt4
- adopted to new kernel-feat-fs-xfs

* Fri Jul  4 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.19-alt3
- ipmi-compile-fix.patch added - fixed compilation error

* Fri Jul  4 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.19-alt2
- spec typos fixed

* Sat Jun 28 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.19-alt1
- spec improvements: using %%source and %%install_patches macros
- Updated to 2003.06.19

* Fri Jun 20 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.05.23-alt1
- Updated to 2003.05.32

* Tue May 20 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.05.12-alt1
- Initial release

